<?php
/*
 *  Patrick Bores - WebUserPrefs - SpamAssassin user_prefs file editor 
 *  Copyright (C) 2003  Patrick Bores
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
	// Configuration Section
	

	// Choose the source for your user preferences.
	// Specify "db" if you store user preferences in a MySQL database.
	// Specify "file" if you store user preferences in user_prefs files.

	$prefs_source	= "db";
	//$prefs_source		= "file";

	// user_prefs File Location
	// If you typed "file" for $prefs_source above, set this variable
	// to the location of the user_prefs file. WebUserPrefs doesn't
	// have authentication modules (yet) so you may want to write your
	// own authentication scheme and set this variable accordingly.

	$user_prefs	= "user_prefs";
	
	// MySQL Database Settings
	// If you specified "db" for $prefs_source above, configure the
	// database connection here.

	$db_host	= "localhost";
	$db_username	= "spamassassin";
	$db_password	= "xxxxxx";
	$db_database	= "spamassassin";	// Change if necessary
	$db_sauser	= $PHP_AUTH_USER;		// This is 'username';

	// Color Settings
	
	$table_border_color	= "225588";	// DDDDDD
	$table_titlebar_color	= "6699CC";	// EEEEEE
	$table_background_color	= "EEEEEE";	// FFFFFF
	$table_alt_row_color	= "FFFFFF";	// FFFFFF
	$text_titlebar_color	= "FFFFFF";	// 000000


	// The $panels_dir variable indicates which directory
	// contains your preferences panels. You can learn about
	// writing your own custom preferences panels in the file README.

	$panels_dir = "panels";


	// The $header_file and $footer_file indicate files that are
	// included at the top and bottom of the HTML output. You can
	// use these for customization purposes.

	$header_file	= "header.php";
	$footer_file	= "footer.php";

	// Set this variable to "yes" if you want to group and sort
	// the rules list. Otherwise, the rules are just displayed in
	// the order in which the user entered them.

	$group_sort	= "no";

	// Force SSL?
	// If you want to require the connection be SSL, set this to yes

	// $usessl = "yes";
	$usessl = "no";

?>
